\name{tolCalcForecasting}
\alias{tolCalcForecasting}
\alias{print..TolCalcForecasting}
\alias{plot..TolCalcForecasting}
\title{TOL CalcForecasting}
\description{
Makes a forecast from an Estimation object.
}
\usage{
tolCalcForecasting(estimation, forecastEnd, ..., alpha = 0.05)
\method{print}{.TolCalcForecasting}(x, \dots)
\method{plot}{.TolCalcForecasting}(x, actual=NULL, ...)
}
\arguments{
  \item{estimation}{
  an estimation object obtained with \code{tolEstimate}.
}
  \item{forecastEnd}{
  a Date (or POSIXt object) indicating the end of the forecast period.
  An integer can also be used, it will be interpreted as the length of the forecast period.
}
  \item{\dots}{
  further arguments. For example, use \code{legend.names=list()}  to show default legend when plotting. See method \code{\link{plot.Serie}} for other arguments.
}
  \item{alpha}{
  probability value used to obtain de confidence bands; the probability that lies out of the confidence interval.
}
  \item{x}{
  a CalcForecasting object.
}
  \item{actual}{
  a Serie with the actual values of the forecasted ones to be plotted with.
}
}
\value{
The function \code{tolCalcForecasting} returns a CalcForecasting object (class .TolCalcForecasting)
that can be used with the generalized methods: \code{\link{print}} and \code{\link{plot}}.
}
\seealso{
See also the estimation function \code{\link{tolEstimate}}.

See reference documentation of \link{Serie} objects and the method \code{\link{plot.Serie}}.
}
\examples{
# Forecast calculation for the USAccDeaths time-series
est <- tolEstimate(as.Serie(USAccDeaths),
  dif=(1-B)*(1-B^12), MA=list(1-0.1*B, 1-0.1*B^12))
fst <- tolCalcForecasting(est, 24)
plot(fst)
}
\keyword{Forecast}
